> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionelectricity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tariff



## OpenAPI

````yaml /openapi-v2.json get /tariff/{id}
openapi: 3.0.1
info:
  title: iON Intelligent Electricity API v2
  version: 1.0.0
  description: Generated by SOFA
  contact:
    name: iON Support
    email: support@ionelectricity.com
servers:
  - url: https://api.ionelectricity.com/v2
    description: Production Server
security: []
paths:
  /tariff/{id}:
    get:
      tags:
        - Tariff
      operationId: getTariffDataModel_query
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TariffDataModel'
components:
  schemas:
    TariffDataModel:
      type: object
      required:
        - id
        - createdAt
        - updatedAt
        - _version
        - _lastChangedAt
      properties:
        id:
          type: string
        tariffPrices:
          type: object
        activeTariffSchedule:
          type: integer
          format: int32
        activeCycleSchedule:
          type: integer
          format: int32
        bestTariffSchedule:
          type: integer
          format: int32
        bestCycleSchedule:
          type: integer
          format: int32
        isGreen:
          type: boolean
        version:
          type: integer
          format: int32
        createdAt:
          type: object
        updatedAt:
          type: object
        _version:
          type: integer
          format: int32
        _deleted:
          type: boolean
        _lastChangedAt:
          type: object

````